tvbrowser.core.contextmenu

## Class SeparatorMenuItem

- java.lang.Object
- - tvbrowser.core.contextmenu.SeparatorMenuItem

- All Implemented Interfaces:
    ContextMenuIf

      public class SeparatorMenuItem
      extends java.lang.Object
      implements ContextMenuIf

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SEPARATOR`

    - ### Fields inherited from interface devplugin.ContextMenuIf

      `ACTIONKEY_KEYBOARD_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeparatorMenuItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionMenu` | `getContextMenuActions(Program program)` Gets the actions for the context menu of a program.
    `java.lang.String` | `getId()` Gets the ID of this ContextMenuIf.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SEPARATOR

          public static final java.lang.String SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SeparatorMenuItem

          public SeparatorMenuItem()

  - ### Method Detail

    - #### getContextMenuActions

          public ActionMenu getContextMenuActions(Program program)

      Description copied from interface: `ContextMenuIf`
      Gets the actions for the context menu of a program.
      Specified by:
        `getContextMenuActions` in interface `ContextMenuIf`
      Parameters:
        `program` - The program the context menu will be shown for.
      Returns:
        the actions this plugin provides for the given program or `null` if the plugin does not provide this feature.

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `ContextMenuIf`
      Gets the ID of this ContextMenuIf.
      Specified by:
        `getId` in interface `ContextMenuIf`
      Returns:
        The ID of this ContextMenuIf.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)